@echo off

setlocal ENABLEDELAYEDEXPANSION

set IN=[UTW] Fate Stay Night - Unlimited Blade Works [BD][h264-720p AC3][70764BA9].mkv
set OUT=[UTW] Fate Stay Night - Unlimited Blade Works [BD][h264-720p AC3][F094815B].mkv
set PATCH=UBW_720p.xdelta

if NOT EXIST "%IN%" (goto :missing_file_in)

@echo Patching "%IN%"...
@echo.

xdelta3.exe -ds "%IN%" "%PATCH%" "%OUT%"

if EXIST "%OUT%" (
	goto :clean_up
) else (
	goto :missing_file_out
)

:clean_up
@echo "%OUT%" created.
@echo Successfully Patched. Output File: "%OUT%"
@echo.
@echo Hit any key to delete the input file or Ctrl+C to skip deleting it.
pause
del "%IN%"
if EXIST "%IN%" (
	goto :delete_failed
) else (
	goto :delete_success
)

:delete_success
@echo Successfully deleted "%IN%".
pause
goto :exit

:delete_failed
@echo Failed to delete "%IN%".
pause
goto :exit

:missing_file_in
@echo "%IN%" is missing from current directory.
pause
goto :exit

:missing_file_out
@echo "%OUT%" didnt patch correctly. Please try again.
pause
goto :exit

:exit
endlocal DISABLEDELAYEDEXPANSION
